---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    PostgreSQL info for a database service. Reference for the GET
    /api/v1/database-services/{id}/info/postgresql endpoint in the TimescaleDB
    Enterprise API.
sidebar:
  label: Get PostgreSQL info
  badge: GET
title: Get PostgreSQL info
type: openapi-operation
---
PostgreSQL info for a database service.

`GET /api/v1/database-services/{id}/info/postgresql`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "connections": {
    "active": 0,
    "idle": 0,
    "max": 0,
    "total": 0
  },
  "databases": [
    {
      "name": "string",
      "size_bytes": 0
    }
  ],
  "error": "string",
  "members": [
    {
      "error": "string",
      "name": "string",
      "patroni_version": "string",
      "postmaster_start_time": "string",
      "role": "string",
      "server_id": "string",
      "server_version": 0,
      "state": "string"
    }
  ],
  "stats_error": "string",
  "total_size_bytes": 0,
  "uptime_seconds": 0
}
```
